Represents a list configuration option.

package | lists
author | Roland Gruber

### Methods

## Creates a new config option.

    __construct(String $ID) : \lamConfigOption

### Parameters

#### $ID

`String`

unique ID

### Returns

`\lamConfigOption`config option

## Fills the config option from POST data.

    fillFromPostData() : array

### Returns

`array`list of StatusMessages (array(<type>, ,
))

## Returns the option ID.

    getID() : String

### Returns

`String`ID

## Returns the meta HTML data to display this option.

    getMetaHTML() : \htmlTable

### Returns

`\htmlTable`meta HTML

## Returns the option value.

    getValue() : String

The value must not contain "=" and ";".

### Returns

`String`value

## Sets the config option value.

    setValue(String $value)

The value must not contain "=" and ";".

### Parameters

#### $value

`String`

### Properties

## unique ID

    $ID

## option value

    $value